> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pagos.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Real-Time Account Updater Inquiry

> When sending legacy encrypted payloads, use accountEncrypted in request and response



## OpenAPI

````yaml POST /loon/rtau/inquiry
openapi: 3.0.0
info:
  title: Loon Api
  version: 1.0.0
servers:
  - url: https://services.sandbox.pagosapi.com
  - url: https://services.prod.pagosapi.com
security:
  - bearerAuth: []
paths:
  /loon/rtau/inquiry:
    post:
      tags:
        - Loon
      description: >-
        When sending legacy encrypted payloads, use accountEncrypted in request
        and response
      operationId: LoonApiRequestsRtauRtauEndpoint
      parameters:
        - name: x-merchant-id
          in: header
          required: true
          description: Merchant identifier for requests.
          schema:
            type: string
            nullable: false
      requestBody:
        x-name: RtauInquiryRequest
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RtauInquiryRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RtauInquiryResponse'
              example:
                accountEncrypted: null
                account:
                  accountNumber: '4111111111111111'
                  expiryYear: '2019'
                  expiryMonth: '12'
                  newAccountNumber: '4111111111111234'
                  newExpiryYear: '2029'
                  newExpiryMonth: '5'
                  responseCode: LAE
                  errorCode: null
                  metadata: null
                requestId: unique-uuid
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LoonErrorResponse'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
components:
  schemas:
    RtauInquiryRequest:
      type: object
      example:
        requestId: unique-uuid
        network: visa
        account:
          accountNumber: '4111111111111111'
          expiryYear: '2019'
          expiryMonth: '12'
          metadata: null
        subMerchantId: null
      additionalProperties: false
      required:
        - requestId
        - network
      properties:
        requestId:
          type: string
          minLength: 1
          nullable: false
        network:
          type: string
          minLength: 1
        account:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/RtauAccountData'
        subMerchantId:
          type: string
          nullable: true
    RtauInquiryResponse:
      type: object
      additionalProperties: false
      properties:
        accountEncrypted:
          type: string
          nullable: true
        account:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/RtauResponseAccountData'
        requestId:
          type: string
    LoonErrorResponse:
      type: object
      additionalProperties: false
      properties:
        error:
          $ref: '#/components/schemas/LoonErrorDto'
    RtauAccountData:
      type: object
      additionalProperties: false
      properties:
        accountNumber:
          type: string
        expiryYear:
          type: string
        expiryMonth:
          type: string
        metadata:
          type: string
    RtauResponseAccountData:
      type: object
      additionalProperties: false
      properties:
        accountNumber:
          type: string
        expiryYear:
          type: string
        expiryMonth:
          type: string
        newAccountNumber:
          type: string
          nullable: true
        newExpiryYear:
          type: string
          nullable: true
        newExpiryMonth:
          type: string
          nullable: true
        responseCode:
          type: string
          nullable: true
        errorCode:
          type: string
          nullable: true
        metadata:
          type: string
    LoonErrorDto:
      type: object
      additionalProperties: false
      properties:
        code:
          type: string
        message:
          type: string
        details:
          type: object
          nullable: true
          additionalProperties:
            type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: 'Format is: `Bearer <api_key>`, where `<api_key>` is your Pagos API key'

````